1. Omni
梧柏API使用文档
WHBAI · Omni 视频
  • WHBAI · Google Gemini 原生 (v1alpha)
  • WHBAI · Google Gemini 原生
  • WHBAI · Ideogram
  • WHBAI · Ideogram V3
  • WHBAI · Midjourney
  • WHBAI · Jimeng
  • WHBAI · Kling
  • WHBAI · Luma
  • WHBAI · Luma V1
  • WHBAI · Omni 视频
  • WHBAI · Pixverse
  • WHBAI · Runway
  • WHBAI · Sora2
  • WHBAI · 统一视频 VEO
  • WHBAI · Vidu
  • WHBAI · 豆包 Volc
  • WHBAI · Suno
  • WHBAI · Playground
  • WHBAI · 账号与令牌
  • WHBAI · 阿里 Pix
  • WHBAI · 阿里百炼
  • WHBAI · 私域人像
  • WHBAI · Fal.ai
  • WHBAI · Replicate
  • WHBAI · 腾讯云 VOD
  • WHBAI · MiniMax
  • WHBAI · 支持模型列表
  • WHBAI · Grok Imagine
  • WHBAI · Seedance 2.0
  • WHBAI · TypeSafe
  • WHBAI · OpenAI 兼容
  • Omni
    • Omni-Flash 视频生成
      POST
    • 查询结果
      GET
  • omni
    • google-omni-flash(异步·文生视频)
      POST
    • google-omni-flash(查询交互)
      GET
    • google-omni-flash(下载视频(Google Files))
      GET
    • google-omni-flash(下载视频(GCS))
      GET
    • google-omni-flash(查询文件状态)
      GET
  • 数据模型
    • Video Create Request Schema
    • PostV1VideoCreateResponse
    • NewApiError
  1. Omni

查询结果

GET
/v1/video/query
Omni-Flash · 查询任务(GET /v1/video/query,VEO relay 物理路由,主文档见 relay/veo)。
查询 POST /v1/video/create 创建的 Omni-Flash 视频任务状态与结果;status=failed 时 error 给出失败原因。

网站中的模型与调用示例#

查询任务#

给定一个提示,该模型将返回一个或多个预测的完成,并且还可以返回每个位置的替代标记的概率。
为提供的提示和参数创建完成

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "messages": {
      "description": "至今为止对话所包含的消息列表。Python 代码示例。",
      "items": {
        "properties": {
          "content": {
            "type": "string"
          },
          "role": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "list of messages in the conversation so far. Python code example."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames"
        }
      }
    },
    "stream": {
      "description": "默认为 false 如果设置,则像在 ChatGPT 中一样会发送部分消息增量。标记将以仅数据的服务器发送事件的形式发送,这些事件在可用时,并在 data: [DONE] 消息终止流。Python 代码示例。",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "defaults to false if set, sends partial message deltas like ChatGPT. tokens are sent as data-only server-sent events,as they become available; stream ends with data: [DONE]. Python code example."
        }
      }
    }
  },
  "required": [
    "model",
    "messages"
  ]
}

响应示例 · 成功示例#

{
  "detail": {
    "completed_at": 1770350328994,
    "created_at": 1770350082099,
    "enhanced_prompt": "Create a vibrant and whimsical animation that features a joyful scene of colorful animals playing together in a sunny meadow, surrounded by blooming flowers and butterflies fluttering by.",
    "error_message": "[403] Request failed with status code 403 | Message: reCAPTCHA evaluation failed | Code: 403 | Status: PERMISSION_DENIED | Reason: PUBLIC_ERROR_SOMETHING_WENT_WRONG | Type: type.googleapis.com/google.rpc.ErrorInfo | URL: /v1/video:batchAsyncGenerateVideoStartImage",
    "error_sleep": 5000,
    "id": "veo3.1-fast:1770350082-trii1OXZc3",
    "images": [
      {
        "mediaId": "CAMaJGUwOTE4MTA4LWQ3MTgtNDk0OS05ZDNiLTIxMjBkM2M5ZGFkYyIDQ0FFKiQzYzY4MjJhZi05ZTVkLTRhNjktOGQ5NC1jYmNjYWVjNDhkMjM",
        "status": "completed",
        "url": "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
      }
    ],
    "max_retries": 3,
    "needs_safe_enhancement": true,
    "req": {
      "aspect_ratio": "16:9",
      "enable_upsample": true,
      "enhance_prompt": true,
      "images": [
        "https://filesystem.site/cdn/20250702/w8AauvxxPhYoqqkFWdMippJpb9zBxN.png"
      ],
      "model": "veo3.1-fast",
      "prompt": "make animate"
    },
    "retry_count": 3,
    "running": false,
    "startImageMediaId": "CAMaJGUwOTE4MTA4LWQ3MTgtNDk0OS05ZDNiLTIxMjBkM2M5ZGFkYyIDQ0FFKiQzYzY4MjJhZi05ZTVkLTRhNjktOGQ5NC1jYmNjYWVjNDhkMjM",
    "status": "completed",
    "status_update_time": 1770350329098,
    "upsample_generation_id": "d1f0a8a1-51b6-499c-8abe-aae54c6b221e_upsampled",
    "upsample_status": "MEDIA_GENERATION_STATUS_SUCCESSFUL",
    "upsample_video_url": "https://pro.filesystem.site/cdn/20260206/1b50395bad4c6c7bc22e6ada144951.mp4",
    "veo3StartImageMediaId": "CAMaJGUwOTE4MTA4LWQ3MTgtNDk0OS05ZDNiLTIxMjBkM2M5ZGFkYyIDQ0FFKiQzYzY4MjJhZi05ZTVkLTRhNjktOGQ5NC1jYmNjYWVjNDhkMjM",
    "video_generation_error": "your request contains unsafe prompt or images, such as porn, violence, minors etc., has been rejected by google, please change your prompt or images and try again",
    "video_generation_id": "608c00e8de85d8856554201ae115b7c2",
    "video_generation_status": "MEDIA_GENERATION_STATUS_SUCCESSFUL",
    "video_media_id": "CAUSJDU1YzFjNTliLWYxNzctNGYwYy04YTJkLTI3MGFkMWE4YjkyMxokMTZjYjk1NzUtYWY4Yy00MzQzLWI4NjMtNGQ5YWFiZTZmNzMzIgNDQUUqJGQxZjBhOGExLTUxYjYtNDk5Yy04YWJlLWFhZTU0YzZiMjIxZQ",
    "video_url": "https://pro.filesystem.site/cdn/20260206/9ddbd3bdc67f75a02f766363ebf8eb.mp4"
  },
  "id": "veo3.1-fast:1770350082-trii1OXZc3",
  "status": "completed",
  "status_update_time": 1770350329098,
  "video_url": "https://pro.filesystem.site/cdn/20260206/1b50395bad4c6c7bc22e6ada144951.mp4"
}

查询任务#

给定一个提示,该模型将返回一个或多个预测的完成,并且还可以返回每个位置的替代标记的概率。
为提供的提示和参数创建完成

请求参数#

{
  "contentType": "multipart/form-data",
  "properties": {
    "messages": {
      "description": "至今为止对话所包含的消息列表。Python 代码示例。",
      "items": {
        "properties": {
          "content": {
            "type": "string"
          },
          "role": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "type": "array",
      "x-i18n": {
        "en-US": {
          "description": "list of messages in the conversation so far. Python code example."
        }
      }
    },
    "model": {
      "description": "枚举值:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames",
      "type": "string",
      "x-i18n": {
        "en-US": {
          "description": "Enum:\nveo2\nveo2-fast\nveo2-fast-frames\nveo2-fast-components\nveo2-pro\nveo3\nveo3-fast\nveo3-pro\nveo3-pro-frames"
        }
      }
    },
    "stream": {
      "description": "默认为 false 如果设置,则像在 ChatGPT 中一样会发送部分消息增量。标记将以仅数据的服务器发送事件的形式发送,这些事件在可用时,并在 data: [DONE] 消息终止流。Python 代码示例。",
      "type": "boolean",
      "x-i18n": {
        "en-US": {
          "description": "defaults to false if set, sends partial message deltas like ChatGPT. tokens are sent as data-only server-sent events,as they become available; stream ends with data: [DONE]. Python code example."
        }
      }
    }
  },
  "required": [
    "model",
    "messages"
  ]
}

响应示例 · 成功示例#

{
  "enhanced_prompt": "```\nA surreal and whimsical digital painting of a majestic brown cow with large, feathered wings soaring gracefully through a vibrant blue sky. The cow has a joyful expression, its tail streaming behind it as it flies among fluffy white clouds. Below, a patchwork of green farmland stretches into the distance, with tiny farm buildings and a group of astonished farmers looking up in amazement. The scene is bathed in warm golden sunlight, creating a dreamlike and magical atmosphere. Art style inspired by fantasy illustrations with soft brushstrokes and rich, saturated colors.\n```",
  "id": "033fa60e-f37c-4ff6-a44d-5585ffea938d",
  "status": "pending",
  "status_update_time": 1750323167003,
  "video_url": null
}

响应示例 · 成功示例#

{
  "asset_id": "393ae1ec-1dc7-4f26-bb53-afe361bc3b3a",
  "completed_at": 1764522552,
  "error": "",
  "id": "grok:299604b7-c5ea-47b5-bc64-c06f300f0d27",
  "mode": "text",
  "model": "grok-3",
  "post_id": "393ae1ec-1dc7-4f26-bb53-afe361bc3b3a",
  "progress": 100,
  "prompt": "cat fish  --mode=custom",
  "ratio": "3:2",
  "status": "completed",
  "status_update_time": 1764522552,
  "thumbnail_file_id": "f4fd6fe4-8091-4528-be32-335f4fc9af65",
  "thumbnail_url": "https://soruxgpt-saas-yimeng.soruxgpt.com/file_download/f4fd6fe4-8091-4528-be32-335f4fc9af65.jpg",
  "trace_id": "4cc3a75aa6d6a0788f86195e0cbad44e",
  "type": "create",
  "upscale_on_complete": false,
  "upscaled": false,
  "video_file_id": "ca10efbb-ae64-426e-99f0-f365bc3cd941",
  "video_id": "393ae1ec-1dc7-4f26-bb53-afe361bc3b3a",
  "video_url": "https://soruxgpt-saas-yimeng.soruxgpt.com/file_download/ca10efbb-ae64-426e-99f0-f365bc3cd941.mp4"
}

请求参数

Authorization
Bearer Token
在 Header 添加参数
Authorization
,其值为在 Bearer 之后拼接 Token
示例:
Authorization: Bearer ********************
or
Query 参数

请求示例代码

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
请求示例请求示例
Shell
JavaScript
Java
Swift
curl --location '/v1/video/query?id=omni-flash%3A1779717386-QYRfzV5zLK&model=omni-flash' \
--header 'Authorization: Bearer <token>'

返回响应

🟢200成功
application/json
Bodyapplication/json

示例
{
    "id": "omni-flash:1779717386-QYRfzV5zLK",
    "status": "failed",
    "status_update_time": 1779717416,
    "error": "视频生成失败"
}
🟠401没有权限
修改于 2026-10-24 18:33:14
上一页
Omni-Flash 视频生成
下一页
google-omni-flash(异步·文生视频)
Built with